Name: mptn
Version: 0.2.1
Release: 1
%define prefix /usr/local
Copyright: GNU LGPL
Summary: Pattern matching library similar to regular expressions 
Group: Development/Libraries
Source: mptn-0.2.1.tar.gz
Packager: George Bronnikov <goga@bertie.la.utexas.edu>

BuildRoot: /tmp/mptn


%description 
Mptn is a pattern matching library, mostly similar to regular expressions.
Differences include named variables, several variants of substitution for
a single pattern, extensibility through "matcher" procedures. 


%prep
%setup  -q

%build
CFLAGS=-O6 ./configure --prefix=%{prefix}
make 

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README doc/mptn.ps doc/html/*

/%{prefix}/lib/*
/%{prefix}/include/*
